## $Id: batching.py 12274 2014-12-21 07:28:28Z henrik $
##
## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""Batch processing for skeleton documents.
"""
import grok
from waeup.ikoba.documents.batching import DocumentProcessorBase
from ikobacustom.skeleton.documents.interfaces import ISkeletonDocument
from ikobacustom.skeleton.interfaces import MessageFactory as _


class SkeletonDocumentProcessor(DocumentProcessorBase):
    """A batch processor for ISkeletonDocument objects.
    """
    util_name = 'skeletondocumentprocessor'
    grok.name(util_name)

    name = _('Skeleton Document Processor')
    iface = ISkeletonDocument

    factory_name = 'waeup.SkeletonDocument'
